package com.ym.mec.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 小小艺术家训练营活动(TempLittleArtistTrainingCamp)表实体类
 *
 * @author hgw
 * @since 2022-05-17 20:56:22
 */
@ApiModel(value = "temp_little_artist_training_camp-小小艺术家训练营活动")
public class TempLittleArtistTrainingCamp implements Serializable {
    //未开始-未到报名时间
    public static final String NOT_START = "NOT_START";
    //报名中
    public static final String APPLY = "APPLY";
    //筹备中 - 报名结束-还未到训练时间
    public static final String READY = "READY";
    //进行中 - 训练周期内
    public static final String ING = "ING";
    //已结束
    public static final String END = "END";

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("name_")
    @ApiModelProperty(value = "活动名称")
    private String name;

    @TableField("num_")
    @ApiModelProperty(value = "报名人数")
    private Integer num;

    @TableField("apply_start_date_")
    @ApiModelProperty(value = "申请报名登记开始日期")
    private Date applyStartDate;

    @TableField("apply_end_date_")
    @ApiModelProperty(value = "申请报名登记结束日期")
    private Date applyEndDate;

    @TableField("train_start_date_")
    @ApiModelProperty(value = "训练开始日期")
    private Date trainStartDate;

    @TableField("train_end_date_")
    @ApiModelProperty(value = "训练结束日期")
    private Date trainEndDate;

    @TableField("state_")
    @ApiModelProperty(value = "未开始 NOT_START,报名中 APPLY,筹备中 READY,进行中 ING,已结束 END")
    private String state;

    @TableField("im_group_ids_")
    @ApiModelProperty(value = "聊天群组id多个用逗号隔开")
    private String imGroupIds;

    @TableField("pic_url_")
    @ApiModelProperty(value = "图片")
    private String picUrl;

    @TableField("del_flag_")
    @ApiModelProperty(value = "删除标识 0未删除 1已删除' ")
    private Integer delFlag;

    @TableField("create_by_")
    @ApiModelProperty(value = "创建人")
    private Integer createBy;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField("update_by_")
    @ApiModelProperty(value = "修改人")
    private Integer updateBy;

    @TableField("update_time_")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @TableField(exist = false)
    private Integer userCount;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Date getApplyStartDate() {
        return applyStartDate;
    }

    public void setApplyStartDate(Date applyStartDate) {
        this.applyStartDate = applyStartDate;
    }

    public Date getApplyEndDate() {
        return applyEndDate;
    }

    public void setApplyEndDate(Date applyEndDate) {
        this.applyEndDate = applyEndDate;
    }

    public Date getTrainStartDate() {
        return trainStartDate;
    }

    public void setTrainStartDate(Date trainStartDate) {
        this.trainStartDate = trainStartDate;
    }

    public Date getTrainEndDate() {
        return trainEndDate;
    }

    public void setTrainEndDate(Date trainEndDate) {
        this.trainEndDate = trainEndDate;
    }

    /**
     * 未开始 NOT_START,报名中 APPLY,筹备中 READY,进行中 ING,已结束 END
     */
    public String getState() {
        return state;
    }

    /**
     * 未开始 NOT_START,报名中 APPLY,筹备中 READY,进行中 ING,已结束 END
     */
    public void setState(String state) {
        this.state = state;
    }

    public String getImGroupIds() {
        return imGroupIds;
    }

    public void setImGroupIds(String imGroupIds) {
        this.imGroupIds = imGroupIds;
    }

    public String getPicUrl() {
        return picUrl;
    }

    public void setPicUrl(String picUrl) {
        this.picUrl = picUrl;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Integer createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Integer updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getUserCount() {
        return userCount;
    }

    public void setUserCount(Integer userCount) {
        this.userCount = userCount;
    }
}

